Package picard.illumina.parser.readers

## Class EmpiricalPhasingMetricsOutReader

- java.lang.Object
- - picard.illumina.parser.readers.EmpiricalPhasingMetricsOutReader

- All Implemented Interfaces:
    `Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>`

      public class EmpiricalPhasingMetricsOutReader
      extends Object
      implements Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmpiricalPhasingMetricsOutReader​(File phasingMetricsOutFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics` | `next()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### EmpiricalPhasingMetricsOutReader

          public EmpiricalPhasingMetricsOutReader​(File phasingMetricsOutFile)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>`

    - #### next

          public EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics next()

      Specified by:
        `next` in interface `Iterator<EmpiricalPhasingMetricsOutReader.IlluminaPhasingMetrics>`